helcor(1)

NAME
helcor - utility for computing heliocentric correction

SYNOPSIS
helcor [ options ] input-files ...
helcor [ options ] -j julian-date

DESCRIPTION
The helcor command computes value of heliocentric correction for given Julian date and object's coordinates. It may also append the values to a set of measurements stored in a text file.

When the -j option is present on the command line, the value of heliocentric correction is printed to the standard output stream.

If one or more file names are present on the command line, each source file given is processed line by line, the program expects the JD value in the first column, which must be divided at least one of common used dividers (semicolon, comma, space, tab char, ...). The JD value can be in full (2453xxx.x) or short (53xxx.x) form. Decimal places must be separated by point, not comma. The Julian date is replaced by a corrected date and the value of correction may be optionally appended to the end of the line. If the line starts with the text JD, it is considered to be a table header and it is changed to JDHEL or JDGEO. The text HELCOR is optionally appended to the end of the line. All other lines which do not fit to any of previous rules are copied to the output file without modification.

INPUT FILES
Names of input files can be specified directly on a command-line as command arguments; it is allowed to use the usual wild-card notation. In case the input files are placed outside the working directory, you have to specify the proper path relative to the current working directory.

Alternatively, you can also prepare a list of input file names in a text file, each input file on a separate line. It is not allowed to use the wild-card notation here. Use the -i option to instruct the program to read the file.

OUTPUT FILES
By default, output files are stored to the current working directory. Their names are derived from the command name followed by a sequential number starting by 1. Command options allows a caller to modify the default naming of output files:

The -o option sets the format string; it may contain a path where the files shall be stored to. Special meaning has a sequence of question marks, it is replaced by the ordinal number of a file    indented by leading zeros to the same number of decimal places as the number of the question marks.

By means of the -i option, you can modify the initial value of a counter.

On request, the program can write a list of output files to a text file, use the -g option to specify a file name.

OPTIONS
Options are used to provide extra information to customize the execution of a command. They are specified as command arguments.

Each option has a full form starting with two dashes and an optional short form starting with one dash only. Options are case-sensitive. It is allowed to merge two or more successive short options together. Some options require a value; in this case a value is taken from a subsequent argument. When a full form is used, an option and its value can also be separated by an equal sign. When a short form is used, its value can immediately follow the option.

Whenever there is a conflict between a configuration file parameter and an option of the same meaning, the option always take precedence.

-j, --julian-date jd
    compute and print air-mass coefficient for given Julian date. Do not combine this option with input file names.

-a, --right-ascension hhmmss
    right ascension of object in hours, minutes and seconds

-d, --declination -ddmmss
    declination of object in degrees, minutes and seconds

-s, --set name=value
    set value of configuration parameter

-i, --read-dirfile filepath
    read list of input files from specified file; see the Files section for details.

-g, --make-dirfile filepath
    save list of output files to specified file, existing content of the file will be overwritten; see the Files section for details.

-o, --output-mask mask
    set output file mask (default=hcor????.dat), see the Files section for details.

-c, --counter value
    set initial counter value (default=1), see the Files section for details.

-p, --configuration-file filepath
    read parameters from given configuration file. See the Configuration file section for details.

-h, --help
    print list of command-line parameters

-q, --quiet
    quiet mode; suppress all messages

--version
    print software version string

--licence
    print software licence

--verbose
    verbose mode; print debug messages

CONFIGURATION FILE
Configuration files are used to set the input parameters to the process that is going to be executed by a command. Use the -p option to instruct the program to read the file before other command-line options are processed.

The configuration file consists of a set of parameters stored in a text file. Each parameter is stored on a separate line in the following form: name = value, all other lines are silently ignored. Parameter names are case-sensitive.

right-ascension = hhmmss
    right ascension of object in hours, minutes and seconds

declination = -ddmmss
    declination of object in degrees, minutes and seconds

EXAMPLES

helcor -a182932 -d223424 -j2452763.5670
    The command computes and prints value of heliocentric correction to the standard output. The object's coordinates are R.A. = 18h 29m 32s, DEC. = +22d 34m 24s. Julian date of observation is 2452763.5670.

helcor -a182932 -d223424 -ohcor.dat table.dat
    The command performs the heliocentric correction to the table stored in table.dat file and the resulting table stores in hcor.dat file. The object's coordinates are the same as in previous example.

EXIT STATUS
The command returns a zero exit status if it succeeds to process all specified files. Otherwise, it will stop immediately when an error occurs and a nonzero error code is returned.

HOME PAGE
http://c-munipack.sourceforge.net/

BUG REPORTS
David Motl, dmotl@volny.cz

COPYING
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

SEE ALSO
cmunipack(3), muniwin(1), meanbias(1), meandark(1), autoflat(1), biasbat(1), darkbat(1), flatbat(1), timebat(1), airmass(1), kombine(1), konve(1), muniphot(1), munimatch(1), munilist(1), munifind(1)